@import url('https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400..700&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Open Sans", serif;
}

body, html{
    width: 100%;
    height: 100%;
}

body{
    display: flex;
    justify-content: flex-start;
    align-items: center;
    flex-direction: column;
}

.main-container{
    max-width: 900px;
    width: 100%;
    height: fit-content;
    box-shadow: 0px 0px 30px #cecaca26;
}

.top-sec{
    width: 100%;
    height: fit-content;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-left: 10%;
}

.user-sec{
    width: fit-content;
}

.yellow-bar{
    width: 8rem;
    height: 22rem;
    background: #FCE644;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

.user-circle{
    width: 14rem;
    aspect-ratio: 1/1;
    background: #fff;
    position: absolute;
    border-radius: 50%;
    top: 10%;
    display: flex;
    box-shadow: rgba(50, 50, 93, 0.15) 50px 0px 80px -20px, rgba(0, 0, 0, 0.2) 30px 0px 40px -30px;
    justify-content: center;
    align-items: center;
}

.under-yellow{
    width: 80%;
    height: 80%;
    background: #FCE644;
    border-radius: 50%;
    box-shadow: rgba(50, 50, 93, 0.15) 20px 0px 50px -20px, rgba(0, 0, 0, 0.2) 30px 0px 40px -30px;
}

.under-yellow img{
    width: 100%;
    border-radius: 50%;
}

.user-name{
    margin-left: 10%;
    margin-top: -4rem;
}

.user-name h1{
    font-size: 60px;
    line-height: 75px;
    font-weight: 800;
    color: #424341;
}

.user-name p{
    font-size: 33px;
    color: #424341;
}

.icon-sec{
    display: flex;
    gap: 35px;
    margin-top: 1.5rem;
}

.icon-sec a{
    width: 28px;
    aspect-ratio: 1/1;
    background: #FCE644;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    text-decoration: none;
}

.icon-sec a i{
    color: #424341;
}

.bottom-sec{
    width: 100%;
    min-height: 60rem;
    height: fit-content;
    display: flex;
    justify-content: space-between;
    flex-direction: row;
    align-items: flex-start;
}

.bottom-left{
    width: 35%;
    padding-top: 4rem;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    align-items: center;
}

.b-l-sec{
    width: 70%;
}

.heading{
    width: 100%;
    padding: 10px 0 10px 20px;
    background: #424341;
    border-radius: 30px;
    box-shadow: 10px 5px 25px -10px #5757579c;
}

.heading h3{
    font-size: 18px;
    color: #fff;
}

.b-l-detail{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 1.5rem 0 4rem 0;
}

.detail{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 15px;
    font-size: 15px;
    text-decoration: none;
    color: #696969;
}

.b-l-detail h4{
    font-size: 14px;
    margin-bottom: 8px;
}

.progress{
    width: 100%;
    background: #ababab;
    border-radius: 10px;
    overflow: hidden;
}

.progress hr{
    width: 90%;
    height: 10px;
    border: none;
    background: #FCE644;
    border-radius: 5px;
}

.p-02 hr{
    width: 50%;
}

.p-03 hr{
    width: 50%;
}

.p-04 hr{
    width: 70%;
}

.p-05 hr{
    width: 40%;
}

.bottom-right{
    width: 65%;
    height: 105%;
    background: #424341;
    position: relative;
    margin-top: -5.3%;
    border-radius: 100px 0 0 0;
    padding: 4rem 15% 0rem 5%;
}

.r-heading{
    background: #FCE644;
}

.r-heading h3{
    color: #424341;
}

.r-heading h3 i{
    margin-right: 10px;
}

.r-b-detail{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    flex-direction: column;
    gap: 15px;
    margin: 1.5rem 0 3rem 0;
}

.r-b-detail p{
    color: #d1d1d1;
    font-size: 14px;
}

.university{
    width: 100%;
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    align-items: flex-start;
    gap: 20px;
}

.university .dot{
    width: 15px;
    aspect-ratio: 1/1;
    background: #FCE644;
    border-radius: 50%;
    margin-top: 4px;
}

.uni-detail{
    width: 90%;
}

.uni-detail h4{
    font-size: 18px;
    color: #e5e5e5;
    margin-bottom: 7px;
}

.uni-detail p{
    color: #ababab;
    margin-top: 5px;
}

.uni-detail p:last-child{
    margin-top: 10px;
}

@media(max-width:750px){
    .yellow-bar{
        width: 6rem;
        height: 14rem;
    }

    .user-circle{
        top: 3%;
        width: 11rem;
    }

    .user-name{
        margin-left: 10%;
        margin-top: -1rem;
    }

    .user-name h1{
        font-size: 43px;
        line-height: 53px;
    }

    .user-name p{
        font-size: 27px;
    }

    .icon-sec{
        gap: 25px;
        margin-top: 1rem;
    }

    .icon-sec a {
        width: 22px;
    }

    .bottom-sec{
        justify-content: flex-start;
        flex-direction: column;
    }

    .bottom-left{
        width: 100%;
        padding-top: 2rem;
        flex-direction: row;
        align-items: flex-start;
        flex-wrap: wrap;
    }

    .bottom-right{
        width: 100%;
        height: fit-content;
        margin-top: 0;
        border-radius: 0;
        padding: 4rem 5% 0rem 5%;
    }

    .b-l-sec{
        width: 100%;
        height: fit-content;
        display: flex;
        justify-content: flex-start;
        flex-direction: row;
        align-items: flex-start;
        gap: 30px;
        padding: 0 5%;
        flex-wrap: wrap;
    }

    .b-l-card{
        width: 300px;
    }
}

@media(max-width:550px){
    .top-sec{
        padding-left: 10%;
    }

    .yellow-bar{
        width: 3.5rem;
        height: 11rem;
    }

    .user-circle{
        width: 7rem;
    }

    .user-name{
        margin-left: 12%;
        margin-top: 0;
    }

    .user-name h1{
        font-size: 30px;
        line-height: 40px;
    }

    .user-name p{
        font-size: 20px;
    }

    .icon-sec{
        gap: 15px;
        margin-top: 0.8rem;
    }

    .icon-sec a{
        width: 18px;
    }

    .icon-sec a i{
        font-size: 10px;
    }

    .b-l-detail{
        margin: 1rem 0 0 0;
    }

    .b-l-sec{
        padding: 0 10%;
    }

    .bottom-right{
        margin-top: 2rem;
    }
}